kind: Solution
version: v0
router:
  kind: Router
  routes:
    - frame: home-frame
frames:
  home-frame:
    kind: Frame
    layout:
      kind: ColumnLayout
      widths: [auto, 300px]
      areas: [viewer, params]
    contents:
      model:
        kind: Model
        modelFile: trimbox-part1.gh
        subscribe:
          - kind: ControlPanel
            frame: home-frame
            source: params
      viewer:
        kind: Viewer
        materials:
          blue:
            kind: StandardMaterial
            color: [42, 75, 240]
          light-blue:
            kind: StandardMaterial
            color: [119, 173, 238]
        subscribe:
          - kind: Model
            frame: home-frame
            source: model
            assignMaterials:
              box: blue
              sphere: light-blue
      params:
        kind: ControlPanel
        controls:
          height: # match GH model input
            kind: Slider
            label: Box height
            min: 2
            max: 10
            precision: 1
            value: 5
